明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 336|回复: 4

[提问] 程序用不了,哪位帮忙给弄一下

[复制链接]
发表于 2018-3-11 17:57 | 显示全部楼层 |阅读模式
(defun C:EEE (/ DIS  SS)
    (SETVAR "osmode" 0)
    (setq SS (SSGET '((0 . "LINE,ARC,LWPOLYLINE"))))
    (setq LST_E (SS2LST SS))
  (VL-CMDF ".undo" "be")
  (setq        DIS (SAVEINPUTMSG
              GETDIST               "dis"                "\n指定去双线的宽度小于"
              "<1>"               nil                1
             )
  )
     )
  (PRINC)
)
这是一个平行线单线的程序,总是用不了

发表于 2018-3-11 18:02 | 显示全部楼层
会是欠子函数的问题吗!?
错误讯息是啥?
 楼主| 发表于 2018-3-11 18:18 | 显示全部楼层
Andyhon 发表于 2018-3-11 18:02
会是欠子函数的问题吗!?
错误讯息是啥?

好像是缺少函数吧
发表于 2018-3-12 08:21 | 显示全部楼层
(SS2LST)是自訂義的函數,不是LISP本身的函數
发表于 2018-3-13 14:07 | 显示全部楼层
  1. ;; tt(双向偏移)
  2. (defun c:tt ()
  3.   (setvar "osmode" 0)
  4.   (setq dist (Udist 1 "" "双线宽度<输入或鼠标直接量取>" dist nil))
  5.   (setq        ss (ssget '((0 . "line,arc,lwpolyline")))
  6.         i  -1
  7.   )
  8.   (while (setq s1 (ssname ss (setq i (1+ i))))
  9.     (xyp-Offset s1 (* dist 0.5) t t nil)
  10.   )
  11.   (princ)
  12. )
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-6-21 19:56 , Processed in 0.209136 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表